import request from '@/utils/request'
import constant from '@/constant'

function pageList(formData){
  return request.post(constant.serverUrl + "/base/work/pageList", formData);
}

function create(){
  return request.get(constant.serverUrl + "/base/work/create");
}

function edit(id){
  return request.get(constant.serverUrl + "/base/work/edit/" + id);
}

function add(formModel){
  return request.post(constant.serverUrl + "/base/work/add", formModel,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function update(formModel){  
  return request.post(constant.serverUrl + "/base/work/update", formModel,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function remove(id){
  return request.post(constant.serverUrl + "/base/work/delete/" + id);
}

function batchRemove(idList){
  return request.post(constant.serverUrl + "/base/work/batchDelete",idList,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function findList(formData){
  return request.post(constant.serverUrl + "/base/work/findList", formData);
}

export default {
  pageList,create,edit,add,update,remove,batchRemove,findList
}